#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gsl
Version		:	2.7.1
Release		:	17.2.0.rel%{?dist}
Summary		:	The GNU Scientific Library.
Group		:	Application/libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://ftp.gnu.org/gnu/gsl

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	make
BuildRequires	:	pkg-config

#-----------------------------------------------------------------------------
%description
This is GSL, the GNU Scientific Library, a collection of
numerical routines for scientific computing.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%license COPYING
%{_bindir}/%{name}-histogram
%{_bindir}/%{name}-randist
%{_libdir}/lib%{name}.so.27*
%{_libdir}/lib%{name}cblas.so.0*
%{_mandir}/man1/%{name}-histogram.1.gz
%{_mandir}/man1/%{name}-randist.1.gz
	
#=============================================================================
%package		devel

Summary		:	Libraries and the header files for GSL development

#-----------------------------------------------------------------------------
Requires	:       %{name}	= %{version}-%{release}
Requires	:	pkg-config
Requires	:	automake

#-----------------------------------------------------------------------------
%description		devel
The gsl-devel package contains the header files necessary for 
developing programs using the GSL (GNU Scientific Library).
	
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_bindir}/%{name}-config
%{_includedir}/%{name}/%{name}_*.h
%{_includedir}/%{name}/test_source.c
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}cblas.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/aclocal/%{name}.m4
%{_infodir}/%{name}-ref.info.gz
%{_mandir}/man1/%{name}-config.1.gz
%{_mandir}/man3/%{name}.3.gz
	
#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--sharedstatedir=%{_var}/lib			\
	--localstatedir=%{_var}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	DESTDIR=%{buildroot}					\
	install


#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
